package cn.com.poc.support.login.channel.bl;


import cn.com.poc.common.utils.Assert;
import cn.com.poc.support.login.ThirdPlatformLoginService;
import cn.com.poc.support.login.domain.AuthInfo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

/**
 * @author Focan.Zhong
 */
@Service
public class IBTLoginService implements ThirdPlatformLoginService {

    private Logger logger = LoggerFactory.getLogger(this.getClass());



    /**
     * 后台登录
     *
     * @return
     */
    @Override
    public Object doLogin(AuthInfo authInfo) throws Exception {
        //todo 登录逻辑
        Assert.notBlank(authInfo.getUsername());
        Assert.notBlank(authInfo.getPassword());

        return null;
    }

}



